namespace Crysome.Common.Network.Packets.Client;

public class ProcessListEntry
{
	public string Name { get; set; }

	public int Pid { get; set; }

	public byte[] IconData { get; set; }

	public ProcessListEntry()
	{
	}

	public ProcessListEntry(string name, int pid, byte[] iconData)
	{
		Name = name ?? "";
		Pid = pid;
		IconData = iconData ?? new byte[0];
	}
}
